ON_PolyEdgeHistory Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_object_history.h>`

## Public Member Functions

| ON_PolyEdgeHistory ()
| ~ON_PolyEdgeHistory ()
void | Destroy ()
bool | Write (ON_BinaryArchive &) const
bool | Read (ON_BinaryArchive &)
void | Dump (ON_TextLog &) const

## Public Attributes

ON_ClassArray< ON_CurveProxyHistory > | m_segment
ON_SimpleArray< double > | m_t
int | m_evaluation_mode

## Detailed Description

Definition at line 63 of file opennurbs_object_history.h.

## Constructor & Destructor Documentation

ON_PolyEdgeHistory::ON_PolyEdgeHistory | ( |  | ) |

ON_PolyEdgeHistory::~ON_PolyEdgeHistory | ( |  | ) |

## Member Function Documentation

void ON_PolyEdgeHistory::Destroy | ( |  | ) |

void ON_PolyEdgeHistory::Dump | ( | ON_TextLog & |  | ) | const

bool ON_PolyEdgeHistory::Read | ( | ON_BinaryArchive & |  | ) |

bool ON_PolyEdgeHistory::Write | ( | ON_BinaryArchive & |  | ) | const

## Member Data Documentation

int ON_PolyEdgeHistory::m_evaluation_mode

Definition at line 78 of file opennurbs_object_history.h.

ON_ClassArray< ON_CurveProxyHistory > ON_PolyEdgeHistory::m_segment

Definition at line 76 of file opennurbs_object_history.h.

ON_SimpleArray<double> ON_PolyEdgeHistory::m_t

Definition at line 77 of file opennurbs_object_history.h.

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_object_history.h